<template>
  <v-container>
    <v-row>
      <v-col xs="12" md="12">
        <p class="title">Hi {{ user && user.firstName | capitalize }}</p>
      </v-col>
    </v-row>
    <v-row>
      <v-col xs="12" sm="6" md="3">
        <v-card outlined>
          <v-card-text>
            <h2 class="pb-2">${{ earnings }} USD</h2>
            <p>Earnings</p>
          </v-card-text>
        </v-card>
      </v-col>
      <v-col xs="12" sm="6" md="3">
        <v-card outlined>
          <v-card-text>
            <h2 class="pb-2">
              {{ user.participants }}
            </h2>
            <p>Participants</p>
          </v-card-text>
        </v-card>
      </v-col>
      <v-col
        v-if="!user.stripe_user_id"
        xs="12"
        md="2"
        class="hidden-md-and-down"
      >
        <div class="border-right" />
      </v-col>
      <v-col sm="12" md="4" v-if="!user.stripe_user_id">
        <p class="body-1">
          To start receiving payments we partner with Stripe.
        </p>
        <stripe-connect-button />
      </v-col>
    </v-row>
    <v-divider class="my-6" />
  </v-container>
</template>

<script>
import { mapState } from 'vuex'
import StripeConnectButton from '../Integrations/StripeConnectButton'

export default {
  name: 'FacilitatorDashboardInformation',
  components: {
    StripeConnectButton
  },
  computed: {
    ...mapState('authentication', ['user']),
    earnings(){
      return this.user.earnings.toFixed(2)
    }
  }
}
</script>

<style scoped>
.border-right {
  background: linear-gradient(
    to right,
    transparent 0%,
    transparent calc(50% - 1px),
    #efefef calc(50% - 1px),
    transparent calc(50% + 0.81px),
    transparent 100%
  );
  width: 100%;
  height: 100%;
}
</style>
